Package org.eclipse.rdf4j.query.impl

## Class MapBindingSet

- java.lang.Object
- - org.eclipse.rdf4j.query.AbstractBindingSet
  - - org.eclipse.rdf4j.query.impl.MapBindingSet

- All Implemented Interfaces:
    `Serializable`, `Iterable<Binding>`, `BindingSet`, `MutableBindingSet`

      public class MapBindingSet
      extends AbstractBindingSet
      implements MutableBindingSet

  A Map-based implementation of the `BindingSet` interface.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapBindingSet()` |
    `MapBindingSet​(int capacity)` | Creates a new Map-based BindingSet with the specified initial capacity.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addBinding​(Binding binding)` | Adds a binding to the binding set.
    `void` | `clear()` | Removes all bindings from the binding set.
    `Binding` | `getBinding​(String bindingName)` | Gets the binding with the specified name from this BindingSet.
    `Set<String>` | `getBindingNames()` | Gets the names of the bindings in this BindingSet.
    `Value` | `getValue​(String bindingName)` | Gets the value of the binding with the specified name from this BindingSet.
    `boolean` | `hasBinding​(String bindingName)` | Checks whether this BindingSet has a binding with the specified name.
    `Iterator<Binding>` | `iterator()` | Creates an iterator over the bindings in this BindingSet.
    `void` | `removeBinding​(String name)` | Removes a binding from the binding set.
    `void` | `setBinding​(String name, Value value)` |
    `void` | `setBinding​(Binding binding)` |
    `int` | `size()` | Returns the number of bindings in this BindingSet.

    - ### Methods inherited from class org.eclipse.rdf4j.query.AbstractBindingSet

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.BindingSet

      `equals, hashCode, isEmpty`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.MutableBindingSet

      `addBinding`

- - ### Constructor Detail

    - #### MapBindingSet

          public MapBindingSet()

    - #### MapBindingSet

          public MapBindingSet​(int capacity)

      Creates a new Map-based BindingSet with the specified initial capacity. Bindings can be added to this binding set using the `addBinding(org.eclipse.rdf4j.query.Binding)` methods.
      Parameters:
        `capacity` - The initial capacity of the created BindingSet object.

  - ### Method Detail

    - #### addBinding

          public void addBinding​(Binding binding)

      Adds a binding to the binding set.
      Specified by:
        `addBinding` in interface `MutableBindingSet`
      Parameters:
        `binding` - The binding to add to the binding set.

    - #### removeBinding

          public void removeBinding​(String name)

      Removes a binding from the binding set.
      Parameters:
        `name` - The binding's name.

    - #### clear

          public void clear()

      Removes all bindings from the binding set.

    - #### iterator

          public Iterator<Binding> iterator()

      Description copied from interface: `BindingSet`
      Creates an iterator over the bindings in this BindingSet. This only returns bindings with non-null values. An implementation is free to return the bindings in arbitrary order.
      Specified by:
        `iterator` in interface `BindingSet`
      Specified by:
        `iterator` in interface `Iterable<Binding>`

    - #### getBindingNames

          public Set<String> getBindingNames()

      Description copied from interface: `BindingSet`
      Gets the names of the bindings in this BindingSet.
      Specified by:
        `getBindingNames` in interface `BindingSet`
      Returns:
        A set of binding names.

    - #### getBinding

          public Binding getBinding​(String bindingName)

      Description copied from interface: `BindingSet`
      Gets the binding with the specified name from this BindingSet.
      Specified by:
        `getBinding` in interface `BindingSet`
      Parameters:
        `bindingName` - The name of the binding.
      Returns:
        The binding with the specified name, or null if there is no such binding in this BindingSet.

    - #### hasBinding

          public boolean hasBinding​(String bindingName)

      Description copied from interface: `BindingSet`
      Checks whether this BindingSet has a binding with the specified name.
      Specified by:
        `hasBinding` in interface `BindingSet`
      Parameters:
        `bindingName` - The name of the binding.
      Returns:
        true if this BindingSet has a binding with the specified name, false otherwise.

    - #### getValue

          public Value getValue​(String bindingName)

      Description copied from interface: `BindingSet`
      Gets the value of the binding with the specified name from this BindingSet.
      Specified by:
        `getValue` in interface `BindingSet`
      Parameters:
        `bindingName` - The name of the binding.
      Returns:
        The value of the binding with the specified name, or null if there is no such binding in this BindingSet.

    - #### size

          public int size()

      Description copied from interface: `BindingSet`
      Returns the number of bindings in this BindingSet.
      Specified by:
        `size` in interface `BindingSet`
      Returns:
        The number of bindings in this BindingSet.

    - #### setBinding

          public void setBinding​(String name,
                                 Value value)

      Specified by:
        `setBinding` in interface `MutableBindingSet`

    - #### setBinding

          public void setBinding​(Binding binding)

      Specified by:
        `setBinding` in interface `MutableBindingSet`